org.apache.lucene.luke.app.desktop.util

## Class ListUtils

- java.lang.Object
- - org.apache.lucene.luke.app.desktop.util.ListUtils

    public class ListUtils
    extends Object

List model utilities

### Method Summary

All Methods Static Methods Concrete Methods
`static <T> List<T>` `getAllItems(JList<T> jlist)`
`static <T,R> List<R>` `getAllItems(JList<T> jlist, IntFunction<R> mapFunc)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Method Detail

#### getAllItems

    public static <T> List<T> getAllItems(JList<T> jlist)

#### getAllItems

    public static <T,R> List<R> getAllItems(JList<T> jlist,
                                            IntFunction<R> mapFunc)